Package org.kapott.hbci.sepa.jaxb.camt_052_001_03

# Class CashAccount25

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_03.CashAccount25

public class CashAccount25 extends Object

Java class for CashAccount25 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CashAccount25">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}AccountIdentification4Choice"/>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}CashAccountType2Choice" minOccurs="0"/>
             <element name="Ccy" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}ActiveOrHistoricCurrencyCode" minOccurs="0"/>
             <element name="Nm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}Max70Text" minOccurs="0"/>
             <element name="Ownr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}PartyIdentification43" minOccurs="0"/>
             <element name="Svcr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}BranchAndFinancialInstitutionIdentification5" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`ccy`
`protected AccountIdentification4Choice`
`id`
`protected String`
`nm`
`protected PartyIdentification43`
`ownr`
`protected BranchAndFinancialInstitutionIdentification5`
`svcr`
`protected CashAccountType2Choice`
`tp`

## Constructor Summary

Constructors
Constructor
Description
`CashAccount25()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCcy()`
Gets the value of the ccy property.
`AccountIdentification4Choice`
`getId()`
Gets the value of the id property.
`String`
`getNm()`
Gets the value of the nm property.
`PartyIdentification43`
`getOwnr()`
Gets the value of the ownr property.
`BranchAndFinancialInstitutionIdentification5`
`getSvcr()`
Gets the value of the svcr property.
`CashAccountType2Choice`
`getTp()`
Gets the value of the tp property.
`void`
`setCcy(String value)`
Sets the value of the ccy property.
`void`
`setId(AccountIdentification4Choice value)`
Sets the value of the id property.
`void`
`setNm(String value)`
Sets the value of the nm property.
`void`
`setOwnr(PartyIdentification43 value)`
Sets the value of the ownr property.
`void`
`setSvcr(BranchAndFinancialInstitutionIdentification5 value)`
Sets the value of the svcr property.
`void`
`setTp(CashAccountType2Choice value)`
Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### id

protected AccountIdentification4Choice id

### tp

protected CashAccountType2Choice tp

### ccy

protected String ccy

### nm

protected String nm

### ownr

protected PartyIdentification43 ownr

### svcr

protected BranchAndFinancialInstitutionIdentification5 svcr

## Constructor Details

### CashAccount25

public CashAccount25()

## Method Details

### getId

public AccountIdentification4Choice getId()
Gets the value of the id property.

Returns:
  possible object is `AccountIdentification4Choice`

### setId

public void setId(AccountIdentification4Choice value)
Sets the value of the id property.

Parameters:
  `value` - allowed object is `AccountIdentification4Choice`

### getTp

public CashAccountType2Choice getTp()
Gets the value of the tp property.

Returns:
  possible object is `CashAccountType2Choice`

### setTp

public void setTp(CashAccountType2Choice value)
Sets the value of the tp property.

Parameters:
  `value` - allowed object is `CashAccountType2Choice`

### getCcy

public String getCcy()
Gets the value of the ccy property.

Returns:
  possible object is `String`

### setCcy

public void setCcy(String value)
Sets the value of the ccy property.

Parameters:
  `value` - allowed object is `String`

### getNm

public String getNm()
Gets the value of the nm property.

Returns:
  possible object is `String`

### setNm

public void setNm(String value)
Sets the value of the nm property.

Parameters:
  `value` - allowed object is `String`

### getOwnr

public PartyIdentification43 getOwnr()
Gets the value of the ownr property.

Returns:
  possible object is `PartyIdentification43`

### setOwnr

public void setOwnr(PartyIdentification43 value)
Sets the value of the ownr property.

Parameters:
  `value` - allowed object is `PartyIdentification43`

### getSvcr

public BranchAndFinancialInstitutionIdentification5 getSvcr()
Gets the value of the svcr property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification5`

### setSvcr

public void setSvcr(BranchAndFinancialInstitutionIdentification5 value)
Sets the value of the svcr property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification5`